# revsuine.xyz Website

These are the markdown files used to build [my website](https://revsuine.xyz/) with [Hugo](https://gohugo.io/). The
website uses [panr's Terminal theme](https://github.com/panr/hugo-theme-terminal).

## Usage

1. Install `hugo`
2. Clone the repo, e.g. with

    $ git clone https://git.revsuine.xyz/revsuine/revsuine.xyz.git

3. `cd` into the directory of the website
4. Install the theme with

    $ git submodule add -f https://git.revsuine.xyz/revsuine/hugo-theme-terminal.git themes/terminal

5. Build with Hugo, e.g. `hugo server` to test it out, or just `hugo` to build into `public/`.

## Style

Lines have a character limit of 120 where possible.

## Theming

Colours taken from [gruvbox-material medium](https://github.com/sainnhe/gruvbox-material).

| Element    | Colour    |
| ---------- | --------- |
| Background | `#282828` |
| Foreground | `#d4be98` |
| Accent     | `#a9b665` |

## Licensing

The contents of this git repo, unless otherwise stated, are licensed under
[GPLv3](https://www.gnu.org/licenses/gpl-3.0.txt). The contents of the website itself, e.g. blog posts, are licensed
under [CC BY-SA 4.0](https://creativecommons.org/licenses/by-sa/4.0/legalcode).

### Licensing exemptions

* The Mastodon logo at `static/assets/mastodon_logo.svg` is trademarked by Mastodon gGmbH. [From reading their
  trademark page, I believe my usage of the logo falls under fair use.](https://joinmastodon.org/trademark)
* The Forgejo logo at `static/assets/forgejo_logo.svg` is created by [Caesar Schinas](https://caesarschinas.com/) and
  is licensed under [CC BY-SA 4.0](https://creativecommons.org/licenses/by-sa/4.0/).

